tidy.kmeans {broom} | R Documentation

## Tidy a(n) kmeans object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'kmeans'
    tidy(x, col.names = paste0("x", 1:ncol(x$centers)), ...)

### Arguments

`x` | A `kmeans` object created by `stats::kmeans()`.
`col.names` | Dimension names. Defaults to `x1, x2, ...`

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Details

For examples, see the kmeans vignette.

### Value

A tibble::tibble with one row per cluster, and columns:

`size` | Number of points in cluster
`withinss` | The within-cluster sum of squares
`cluster` | A factor describing the cluster from 1:k

### See Also

`tidy()`, `stats::kmeans()`

Other kmeans tidiers: `augment.kmeans`, `glance.kmeans`

[Package broom version 0.5.2 Index]